# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:
stdenv.mkDerivation rec {
  pname = "nic_bus";
  version = "2.0";

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/nic_bus";
    rev = "v" + version;
    sha256 = "DrgZHkUEjkHmSfOqSetGqU/nLl8OqNM0zaJjOout5VY=";
  };

  nativeBuildInputs = [ tup ];

  installPhase = "install -Dm755 {.,$out}/${pname}";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
