-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

let init =
      Init::{
      , children = toMap
          { solo5 =
              Child.flat
                Child.Attributes::{
                , binary = "solo5-test_time"
                , exitPropagate = True
                , resources = Init.Resources::{
                  , caps = 256
                  , ram = Genode.units.MiB 3
                  }
                , routes =
                  [ Init.ServiceRoute.parent "Timer"
                  , Init.ServiceRoute.child "Rtc" "rtc_drv"
                  ]
                }
          , rtc_drv =
              Child.flat
                Child.Attributes::{
                , binary = "rtc_drv"
                , exitPropagate = True
                , provides = [ "Rtc" ]
                , routes = [ Init.ServiceRoute.parent "IO_PORT" ]
                }
          }
      }

in  Init.toChild
      init
      Init.Attributes::{ routes = [ Init.ServiceRoute.parent "IO_PORT" ] }
